from __future__ import division
import random
import pyglet
from pyglet.gl import *
import math

class Ninja(object):
    def __init__ (self, platform):
        self.platform = platform
        self.offset = 0
        if platform:
            self.setpos()
        self.sound = pyglet.resource.media('hmm.wav', streaming=False)
        self.image = pyglet.resource.image('ninja.png')

    def setpos(self):
        l = self.platform.length/2 - 15
        self.offset = random.uniform(-l, l)

    def draw(self):
        glPushMatrix()
        glTranslatef(self.platform.x, self.platform.y, 0)
        glRotatef(self.platform.tilt, 0, 0, 1)

        self.image.blit(self.offset-45, 10, width=80, height=80)

        glPopMatrix()

    def teleport(self):
        self.sound.play()
        self.platform = self.platform.next
